Subject: [Hipsec-rg] [Hipsec] I-D on using HIP for P2PSIP:
From: philip_matthews at magma.ca (Philip Matthews)
Date: Tue, 26 Jun 2007 09:42:13 -0400

Hi Martin:

Very interesting!

Can you share any details on your prototype?
Is it similar to our proposal?

- Philip

On 26-Jun-07, at 03:58 , Martin Stiemerling wrote:

> Hi Philip,
>
> Just to let you know: We have a P2PSIP prototype already using HIP  
> for building and running the overlay.
>
>  Martin
>
> Am 18.06.2007 um 21:49 schrieb Philip Matthews:
>
>> Folks:
>>
>> I would like to call your attention to a draft that was just
>> submitted to the P2PSIP working group.
>> This document proposes to use HIP as the basis in forming a P2PSIP
>> overlay network.
>>
>> The draft is a high-level draft that is trying to sell the P2PSIP
>> group on the idea of using HIP, rather than a detailed design. So we
>> simply sketch the ideas in a broad fashion, rather than giving
>> precise details. However, the authors still feel the draft will
>> likely be of interest to the HIP community.
>>
>> In particular, what is likely of greatest interest are the four HIP
>> extensions that the draft proposes:
>> *  Defining how to route HIP packets though intermediate peers in an
>> overlay;
>> *  Adding a new HIP packet type (which we call the Data packet) to
>> transport upper-layer protocols
>>     in the overlay when the transmission path goes through one or
>> more intermediate peers;
>> *  Extending the procedures for establishing a HIP association to the
>> case where a peer wants to join an overlay;
>> *  Proposing alternative transport stack for protocols where running
>> over ESP is undesirable (e.g. Secure RTP transport of voice packets).
>>
>> The authors would be very interested in getting feedback from the HIP
>> community on these proposed extensions.
>>
>>  From a HIP prospective, what is interesting is that this approach
>> provides a motivation for people to use HIP, because it is using HIP
>> in a "closed" system: a peer-to-peer overlay.
>>
>> The document was just submitted on the weekend, and had not yet
>> appeared in archives when this was written.
>> Until it does, you can get a copy at:
>> 	http://www.magma.ca/~philip_matthews/draft-matthews-p2psip-hip-
>> hop-00.txt
>> or an HTML version at:
>> 	http://www.magma.ca/~philip_matthews/draft-matthews-p2psip-hip-
>> hop-00.htm
>>
>> - Philip
>>
>> [I am cross-posting this to the HIP RG list, but after discussion
>> with Gonzalo, we think that the HIP WG mailing list is the best place
>> to discuss the details of the proposed HIP extensions. However, if
>> you have any general comments on the suitability of HIP for P2PSIP,
>> or general comments on the draft, then those comments are best
>> directed to the P2PSIP list.]
>>
>>
>>
>> _______________________________________________
>> Hipsec mailing list
>> Hipsec at lists.ietf.org
>> https://www1.ietf.org/mailman/listinfo/hipsec
>
> stiemerling at netlab.nec.de
> NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road,  
> London W3 6BL | Registered in England 2832014
>
>

-------------- next part --------------
An HTML attachment was scrubbed...
URL: https://listserv.cybertrust.com/pipermail/hipsec-rg/attachments/20070626/aa52c976/attachment-0001.html 

From: stiemerling at netlab.nec.de (Martin Stiemerling)
Date: Tue, 26 Jun 2007 09:58:08 +0200
Subject: [Hipsec-rg] [Hipsec] I-D on using HIP for P2PSIP:
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

Hi Philip,

Just to let you know: We have a P2PSIP prototype already using HIP  
for building and running the overlay.

  Martin

Am 18.06.2007 um 21:49 schrieb Philip Matthews:

> Folks:
>
> I would like to call your attention to a draft that was just
> submitted to the P2PSIP working group.
> This document proposes to use HIP as the basis in forming a P2PSIP
> overlay network.
>
> The draft is a high-level draft that is trying to sell the P2PSIP
> group on the idea of using HIP, rather than a detailed design. So we
> simply sketch the ideas in a broad fashion, rather than giving
> precise details. However, the authors still feel the draft will
> likely be of interest to the HIP community.
>
> In particular, what is likely of greatest interest are the four HIP
> extensions that the draft proposes:
> *  Defining how to route HIP packets though intermediate peers in an
> overlay;
> *  Adding a new HIP packet type (which we call the Data packet) to
> transport upper-layer protocols
>     in the overlay when the transmission path goes through one or
> more intermediate peers;
> *  Extending the procedures for establishing a HIP association to the
> case where a peer wants to join an overlay;
> *  Proposing alternative transport stack for protocols where running
> over ESP is undesirable (e.g. Secure RTP transport of voice packets).
>
> The authors would be very interested in getting feedback from the HIP
> community on these proposed extensions.
>
>  From a HIP prospective, what is interesting is that this approach
> provides a motivation for people to use HIP, because it is using HIP
> in a "closed" system: a peer-to-peer overlay.
>
> The document was just submitted on the weekend, and had not yet
> appeared in archives when this was written.
> Until it does, you can get a copy at:
> 	http://www.magma.ca/~philip_matthews/draft-matthews-p2psip-hip-
> hop-00.txt
> or an HTML version at:
> 	http://www.magma.ca/~philip_matthews/draft-matthews-p2psip-hip-
> hop-00.htm
>
> - Philip
>
> [I am cross-posting this to the HIP RG list, but after discussion
> with Gonzalo, we think that the HIP WG mailing list is the best place
> to discuss the details of the proposed HIP extensions. However, if
> you have any general comments on the suitability of HIP for P2PSIP,
> or general comments on the draft, then those comments are best
> directed to the P2PSIP list.]
>
>
>
> _______________________________________________
> Hipsec mailing list
> Hipsec at lists.ietf.org
> https://www1.ietf.org/mailman/listinfo/hipsec

stiemerling at netlab.nec.de
NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road,  
London W3 6BL | Registered in England 2832014

-------------- next part --------------
An HTML attachment was scrubbed...
URL: https://listserv.cybertrust.com/pipermail/hipsec-rg/attachments/20070626/d84fe244/attachment.html 

From: philip_matthews at magma.ca (Philip Matthews)
Date: Mon, 18 Jun 2007 15:49:02 -0400
Subject: [Hipsec-rg] I-D on using HIP for P2PSIP:
Message-ID: <[email-masked]>

Folks:

I would like to call your attention to a draft that was just  
submitted to the P2PSIP working group.
This document proposes to use HIP as the basis in forming a P2PSIP  
overlay network.

The draft is a high-level draft that is trying to sell the P2PSIP  
group on the idea of using HIP, rather than a detailed design. So we  
simply sketch the ideas in a broad fashion, rather than giving  
precise details. However, the authors still feel the draft will  
likely be of interest to the HIP community.

In particular, what is likely of greatest interest are the four HIP  
extensions that the draft proposes:
*  Defining how to route HIP packets though intermediate peers in an  
overlay;
*  Adding a new HIP packet type (which we call the Data packet) to  
transport upper-layer protocols
    in the overlay when the transmission path goes through one or  
more intermediate peers;
*  Extending the procedures for establishing a HIP association to the  
case where a peer wants to join an overlay;
*  Proposing alternative transport stack for protocols where running  
over ESP is undesirable (e.g. Secure RTP transport of voice packets).

The authors would be very interested in getting feedback from the HIP  
community on these proposed extensions.

 From a HIP prospective, what is interesting is that this approach  
provides a motivation for people to use HIP, because it is using HIP  
in a "closed" system: a peer-to-peer overlay.

The document was just submitted on the weekend, and had not yet  
appeared in archives when this was written.
Until it does, you can get a copy at:
	http://www.magma.ca/~philip_matthews/draft-matthews-p2psip-hip- 
hop-00.txt
or an HTML version at:
	http://www.magma.ca/~philip_matthews/draft-matthews-p2psip-hip- 
hop-00.htm

- Philip

[I am cross-posting this to the HIP RG list, but after discussion  
with Gonzalo, we think that the HIP WG mailing list is the best place  
to discuss the details of the proposed HIP extensions. However, if  
you have any general comments on the suitability of HIP for P2PSIP,  
or general comments on the draft, then those comments are best  
directed to the P2PSIP list.]

From: thomas.r.henderson at boeing.com (Henderson, Thomas R)
Date: Fri, 15 Jun 2007 11:34:19 -0700
Subject: [Hipsec-rg] FW: joint meeting with HIP RG at IETF?
Message-ID: <[email-masked]>

All,
I would like to finalize our plans for meeting at the next IETF.  I have
had a number of responses to my previous "call for agenda" that suggests
we would have some agenda items for a RG meeting in Chicago.

We've also been requested to move off of our customary Friday timeslot
due to the routing research group that plans to meet all day on Friday.

Below, you can see a proposal for a joint meeting with the EME research
group.  The EME group is also chartered to conduct some larger scale
experiments with their architecture, and I think that it might be useful
to have the discussions that Paul talks about below.  

Unless there are concerns raised by either of these posts, I'd like to
further explore with the EME group about having such a joint meeting in
Chicago, either within one time slot or back-to-back.

Tom

-----Original Message-----
From: Paul Francis [mailto:francis at cs.cornell.edu] 
Sent: Friday, June 15, 2007 11:08 AM
To: eme at irtf.org
Cc: Henderson, Thomas R
Subject: joint meeting with HIP RG at IETF?

Gang,

I've been chatting with Tom Henderson about the synergies between HIP
and
NUTSS.  In a nutshell, NUTSS provides some of the naming and rendezvous
services that HIP needs, while HIP provides a way for multiple boxes
(middle
and end) to authenticate the packets of a given data flow.  We're
talking
about producing combined implementations that have higher use value
(i.e. NAT
traversal...).  But I'm sure a number of interesting research issues
fall out
of this.

Am wondering if folks are interested in making our meeting a joint
meeting
with the EME RG at IETF.  The "joint" part would be mainly discussion of
how
we can encourage larger experiments that benefits both of our charters.

PF